stages:
  - build
  - staging

build:
  stage: build
  image: docker
  services:
    - docker:dind
  before_script: 
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
  script:
    - |
      if [ $CI_COMMIT_BRANCH = "main" ]; then
        export TAG=qa
      else
        export TAG=latest
      fi
    - echo $TAG
    - export CONTAINER_PACKAGE=$CI_REGISTRY_IMAGE:$CI_PIPELINE_IID
    - echo $CONTAINER_PACKAGE
    - docker build --file Dockerfile -t $CONTAINER_PACKAGE .
    - docker push $CONTAINER_PACKAGE
  only:
    - branches

release:
  stage: staging
  script:
    - eval $(ssh-agent -s)
